RN 集成到IOS原生应用时,出现 Native module cannot be null原因?



  • 请问你们解决了吗?我也遇到这个问题了



  • 楼主解决了吗?我也遇到了同样的问题



  • 是不是用了Pod呢? 我在react native集成第三方插件时也碰到过这个问题. 但是不确定跟你是不是一样.
    PodFile里引入React时只能类似pod 'React', :subspecs => ['Core'], :path => '../node_modules/react-native', subspecs里不能带其他libRCTxxxx, 这些libRCTxxx只能通过link binaries里加入
    仅供参考



  • 你遇到的这个问题,应该是手动嵌入造成的吧?其实看起来手动嵌入省去了cocospods的麻烦,其实则不然,建议你安装cocoapods之后,用下面的实践教程安装https://github.com/andylhl/rect-native-pratice,亲测可以。



  • 不用 pod 。用链接库解决了 使用链接库



  • @twxtx 能具体说下嘛。我试了你说的链接的办法。还是不行



  • @feifanmu 使用手动链接



  • 楼主是怎么解决的,我弄了好几天了,解决不了。



  • http://www.jianshu.com/p/b182722df7a5

    问题5:中有解决方案


登录后回复